<div class="row products-page">
  <div class="col-md-3">
    <%= render 'sidebar' %>
  </div>
  <div class="col-md-9">
    <div class="row row-btn">
      <%= link_to product_path(@product), method: :delete, class:"btn edit-btn" do %>
          Izbriši <i class="icon-trash icon-white"></i>
      <% end %>
      <%= link_to edit_product_path(@product), class:"btn edit-btn" do %>
        Izmijeni <i class="icon-edit"></i>
      <% end %>
      <%= link_to copy_product_path(@product), method: :post, class:"btn edit-btn" do %>
        Kopiraj <i class="icon-copy"></i>
      <% end %>
      <div id="fav">
        <% if product_is_favorite(current_user, @product) %>
          <%= render 'unstar' %>
        <% else %>
          <%= render 'star' %>
        <% end %>
      </div>
    </div>
    <div class="row product-content">
      <div class="col-md-6">
        <div class="panel panel-default">
          <div class="panel-heading">
            <h3 class="panel-title">Nutritivne vrijednosti</h3>
            <div class="panel-mode-switcher">
              <a class="table-switcher active" href="#table" data-toggle="tab" role="tab"><i class="icon-table" id="icon-table"></i></a>
              <a class="chart-switcher" href="#chart" data-toggle="tab" role="tab"><i class="icon-bar-chart" id="icon-bar-chart"></i></a>
            </div>
          </div>
          <a href="#basic-infomation"></a>
          <div class="tab-content">

            <div class="tab-pane fade in active" id="table">
              <div class="tabbable tabs-below">
                <div class="tab-content">
                  <div class="tab-pane fade in active" id="table1">
                    <div class="table-responsive table-bottom">
                      <table class="table table-bordered table-hover">
                        <tbody>
                        <% @nutrients.each do |nutrient| %>
                          <% if nutrient.amount %>
                            <tr><td><%= nutrient.nutrient.name %></td><td><%= nutrient.amount %> <%= nutrient.nutrient.reference_unit %></td></tr>
                          <% end %>
                        <% end %>
                        </tbody>
                      </table>
                    </div>
                  </div>
                  <div class="tab-pane fade" id="table2">
                    <div class="table-responsive table-bottom">
                      <table class="table table-bordered table-hover">
                        <tbody>
                          <tr><td>Proteini</td><td>10</td></tr>
                          <tr><td>Ugljeni hidrati</td><td>10</td></tr>
                          <tr><td>Masti</td><td>10</td></tr>
                          <tr><td>Vlakna</td><td>10</td></tr>
                          <tr><td>Natrijum</td><td>10</td></tr>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
                <ul class="nav">
                  <li class="btn btn-default btn-small active-btn col-lg-6 col-md-6 btn-table1"><a href="#table1" data-toggle="tab" role="tab">Na 100gr</a></li>
                  <li class="btn btn-default btn-small col-lg-6 col-md-6 btn-table2"><a href="#table2" data-toggle="tab" role="tab">Po keksu</a></li>
                </ul>
              </div>
            </div>

            <div class="tab-pane fade" id="chart">
              <div class="tabbable tabs-below">
                <div class="tab-content">
                  <div class="tab-pane fade active in" id="chart1">
                    <div id="graph1">
                    </div>
                  </div>
                  <div class="tab-pane fade" id="chart2">
                    <div id="graph2">
                    </div>
                  </div>
                </div>
                <ul class="nav">
                  <li class="btn btn-default btn-small active-btn col-lg-6 col-md-6 btn-table1"><a href="#chart1" data-toggle="tab" role="tab">Grafikon 1</a></li>
                  <li class="btn btn-default btn-small col-lg-6 col-md-6 btn-table2"><a href="#chart2" data-toggle="tab" role="tab">Grafikon 2</a></li>
                </ul>
              </div>
            </div>

          </div>
        </div>
      </div>
      <div class="col-md-6">
        <div id="test1"></div>
      </div>
    </div>

    <div class="row product-content">
      <div class="col-md-6">
        <div class="panel panel-default">
          <div class="panel-heading">
            <h3 class="panel-title">Vitamini</h3>
            <div class="panel-mode-switcher">
              <a class="table-switcher-vitamin active" href="#vitamin-table" data-toggle="tab" role="tab"><i class="icon-table" id="icon-table-vitamin"></i></a>
              <a class="chart-switcher-vitamin" href="#vitamin-chart" data-toggle="tab" role="tab"><i class="icon-bar-chart" id="icon-chart-vitamin"></i></a>
            </div>
          </div>
          <div class="tab-content">
            <div class="tab-pane fade in active" id="vitamin-table">
              <div class="table-responsive">
                <table class="table table-bordered table-hover">
                <% @vitamins.each do |vitamin| %>
                  <% if vitamin.amount %>
                    <tr>
                      <td><%= vitamin.vitamin.name %></td>
                      <td><%= vitamin.amount %> <%= vitamin.vitamin.reference_unit %></td>
                    </tr>
                  <% end %>
                <% end %>
                </table>
              </div>
            </div>
            <div class="tab-pane fade" id="vitamin-chart">
              <div id="graph3">
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="col-md-6">
        <div class="panel panel-default">
          <div class="panel-heading">
            <h3 class="panel-title">Minerali</h3>
            <div class="panel-mode-switcher">
              <a class="table-switcher-mineral active" href="#mineral-table" data-toggle="tab" role="tab"><i class="icon-table" id="icon-table-mineral"></i></a>
              <a class="chart-switcher-mineral" href="#mineral-chart" data-toggle="tab" role="tab"><i class="icon-bar-chart" id="icon-chart-mineral"></i></a>
            </div>
          </div>
          <div class="tab-content">
            <div class="tab-pane fade in active" id="mineral-table">
              <div class="table-responsive">
                <table class="table table-bordered  table-hover">
                <% @minerals.each do |mineral| %>
                  <% if mineral.amount %>
                    <tr>
                      <td><%= mineral.mineral.name %></td>
                      <td><%= mineral.amount %> <%= mineral.mineral.reference_unit %></td>
                    </tr>
                  <% end %>
                <% end %>
                </table>
              </div>
            </div>
            <div class="tab-pane fade" id="mineral-chart">
              <div id="graph4">
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="row product-content">
      <div class="col-md-12">
        <div class="panel panel-default">
          <div class="panel-heading">
            <h3 class="panel-title">Sastojci</h3>
          </div>
          <div class="panel-body">
          <% @ingredients.each do |ingredient| %>
            <% if ingredient.ingredient.safe_for(current_user) %>
              <%= link_to ingredient.ingredient.name, ingredient_path(ingredient.ingredient), class: "btn btn-tag" %>
            <% else %>
              <%= link_to ingredient.ingredient.name, ingredient_path(ingredient.ingredient), class: "btn btn-tag btn-tag-danger" %>
            <% end %>
          <% end %>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<script type="text/javascript" charset="utf-8">
  $(function () {
    $('#graph1').highcharts({
      chart: {
        plotBackgroundColor: null,
        plotShadow: false,
        width: $('.tab-pane').width()
      },
      title: {
        text: ''
      },
      tooltip: {
        pointFormat: 'Vrijednost: <b>{point.percentage:.2f}%</b>'
      },
      plotOptions: {
        pie: {
          allowPointSelect: true,
          cursor: 'pointer',
          dataLabels: {
            enabled: false
          },
          showInLegend: true
        }
      },
      series: [{
        type: 'pie',
        data: [
        <% @nutrients.each do |nutrient| %>
          <% if nutrient.nutrient.name != 'Energetska vrijednost' %>
            <% if nutrient != @nutrients.last %>
              ['<%= nutrient.nutrient.name %>', <%= nutrient.amount %>],
            <% else %>
              ['<%= nutrient.nutrient.name %>', <%= nutrient.amount %>]
            <% end %>
          <% end %>
        <% end %>
        ]
      }]
    });

    $('#graph2').highcharts({
      chart: {
        type: 'column',
        width: $('.tab-pane').width()
      },
      title: {
        text: ''
      },
      xAxis: {
        categories: [
          <% @nutrients.each do |nutrient| %>
            <% if nutrient.nutrient.name != 'Energetska vrijednost' %>
              <% if nutrient != @nutrients.last %>
                '<%= nutrient.nutrient.name %>',
              <% else %>
                '<%= nutrient.nutrient.name %>'
              <% end %>
            <% end %>
          <% end %>
        ]
      },
      yAxis: {
        min: 0,
        title: {
          text: 'Količina u gramima (na 100g)'
        }
      },
      tooltip: {
        headerFormat: '<span style="font-size:10px">{point.key}</span><table>',
        pointFormat: '<tr><td style="color:{series.color};padding:0">Količina:&nbsp;</td>' +
            '<td style="padding:0"><b>{point.y:.2f} g</b></td></tr>',
        footerFormat: '</table>',
        shared: true,
        useHTML: true
      },
      plotOptions: {
        column: {
          pointPadding: 0.2,
          borderWidth: 0
        }
      },
      series: [{
        name: 'Nutritivne vrijednosti',
        data: [
          <% @nutrients.each do |nutrient| %>
            <% if nutrient.nutrient.name != 'Energetska vrijednost' %>
              <% if nutrient != @nutrients.last %>
                ['<%= nutrient.nutrient.name %>', <%= nutrient.amount %>],
              <% else %>
                ['<%= nutrient.nutrient.name %>', <%= nutrient.amount %>]
              <% end %>
            <% end %>
          <% end %>
          ]
      }]
    });

    $('#graph3').highcharts({
      chart: {
        plotBackgroundColor: null,
        plotShadow: false,
        width: $('.tab-pane').width()
      },
      title: {
        text: 'Vitamini',
        align: 'center',
        verticalAlign: 'middle',
        y: 50
      },
      tooltip: {
        pointFormat: 'Vrijednost: <b>{point.y:.2f} mg</b>'
      },
      plotOptions: {
        pie: {
          allowPointSelect: true,
          cursor: 'pointer',
          dataLabels: {
            enabled: true,
            distance: -50,
            style: {
              fontWeight: 'bold',
              color: 'white',
              textShadow: '0px 1px 2px black'
            }
          },
          showInLegend: true,
          startAngle: -90,
          endAngle: 90,
          center: ['50%', '75%']
        }
      },
      series: [{
        type: 'pie',
        name: 'Vitamini',
        innerSize: '50%',
        data: [
        <% @vitamins.each do |vitamin| %>
          <% if vitamin.amount %>
            <% if vitamin != @vitamins.last %>
              <% if vitamin.vitamin.reference_unit == 'mg' %>
                ['<%= vitamin.vitamin.name %>', <%= vitamin.amount %>],
              <% else %>
                ['<%= vitamin.vitamin.name %>', <%= vitamin.amount/1000 %>],
              <% end %>

            <% else %>
              <% if vitamin.vitamin.reference_unit == 'mg' %>
                ['<%= vitamin.vitamin.name %>', <%= vitamin.amount %>]
              <% else %>
                <% if vitamin.amount %>
                ['<%= vitamin.vitamin.name %>', <%= vitamin.amount/1000 %>]
                <% end %>
              <% end %>
            <% end %>
          <% end %>
        <% end %>
        ]
      }]
    });

    $('#graph4').highcharts({
      chart: {
        plotBackgroundColor: null,
        plotShadow: false,
        width: $('.tab-pane').width()
      },
      title: {
        text: 'Minerali',
        align: 'center',
        verticalAlign: 'middle',
        y: 50
      },
      tooltip: {
        pointFormat: 'Vrijednost: <b>{point.y:.2f} mg</b>'
      },
      plotOptions: {
        pie: {
          allowPointSelect: true,
          cursor: 'pointer',
          dataLabels: {
            enabled: true,
            distance: -50,
            style: {
              fontWeight: 'bold',
              color: 'white',
              textShadow: '0px 1px 2px black'
            }
          },
          showInLegend: true,
          startAngle: -90,
          endAngle: 90,
          center: ['50%', '75%']
        }
      },
      series: [{
        type: 'pie',
        name: 'Minerali',
        innerSize: '50%',
        data: [
        <% @minerals.each do |mineral| %>
          <% if mineral.amount %>
            <% if mineral != @minerals.last %>
              <% if mineral.mineral.reference_unit == 'mg' %>
                ['<%= mineral.mineral.name %>', <%= mineral.amount %>],
              <% else %>
                ['<%= mineral.mineral.name %>', <%= mineral.amount/1000 %>],
              <% end %>
            <% else %>
              <% if mineral.mineral.reference_unit == 'mg' %>
                ['<%= mineral.mineral.name %>', <%= mineral.amount %>]
              <% else %>
                ['<%= mineral.mineral.name %>', <%= mineral.amount/1000 %>]
              <% end %>
            <% end %>
          <% end %>
        <% end %>
        ]
      }]
    });

    $('#test1').nutritionLabel({
      'hideTextboxArrows' : true,
      'showItemName' : false,
      'showServingsPerContainer' : false,
      'showServingUnitQuantity' : false,
      'ingredientList' : '<% @product.ingredients.each do |n| %> <% if n != @product.ingredients.last %> <%= n.name %>, <% else %> <%= n.name %>.<% end %><% end %>',

      'showSodium' : false,
      'showCholesterol' : false,
      'showPolyFat' : true,
      'showMonoFat' : true,
      'showFibers' : true,
      'showTransFat' : true,
      'showVitaminA' : false,
      'showVitaminC' : false,
      'showCalcium' : false,
      'showIron' : false,

      <% @nutrients.each do |n| %>
        <% if n.nutrient.name == "Energetska vrijednost" %>
          <% if n.amount %>
            'valueCalories' : <%= n.amount %>,
          <% end %>
        <% elsif n.nutrient.name == "Masti" %>
          <% if n.amount %>
            'valueFatCalories' : <%= n.amount*9 %>,
            'valueTotalFat' : <%= n.amount %>,
          <% end %>
        <% elsif n.nutrient.name == "Zasićene masti" %>
          <% if n.amount %>
            'valueSatFat' : <%= n.amount %>,
          <% end %>
        <% elsif n.nutrient.name == "Omega-3 masne kisjeline" %>
          <% if n.amount %>
            'valueTransFat' : <%= n.amount %>,
          <% end %>
        <% elsif n.nutrient.name == "Jednostruko nezasićene masne kisjeline" %>
          <% if n.amount %>
            'valueMonoFat' : <%= n.amount %>,
          <% end %>
        <% elsif n.nutrient.name == "Višestruko nezasićene masne kisjeline" %>
          <% if n.amount %>
            'valuePolyFat' : <%= n.amount %>,
          <% end %>
        <% elsif n.nutrient.name == "Ugljeni hidrati" %>
          <% if n.amount %>
            'valueTotalCarb' : <%= n.amount %>,
          <% end %>
        <% elsif n.nutrient.name == "Šećeri" %>
          <% if n.amount %>
            'valueSugars' : <%= n.amount %>,
          <% end %>
        <% elsif n.nutrient.name == "Vlakna" %>
          <% if n.amount %>
            'valueFibers' : <%= n.amount %>,
          <% end %>
        <% elsif n.nutrient.name == "Proteini" %>
          <% if n.amount %>
            'valueProteins' : <%= n.amount %>,
          <% end %>
        <% end %>
      <% end %>
    });

  });
</script>